Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util.ssi
Class ResponseIncludeWrapper

    java.lang.Object
      |
      +--javax.servlet.ServletResponseWrapper
            |
            +--javax.servlet.http.HttpServletResponseWrapper
                  |
                  +--org.apache.catalina.util.ssi.ResponseIncludeWrapper

public final class ResponseIncludeWrapper
extends javax.servlet.http.HttpServletResponseWrapper

A HttpServletResponseWrapper, used from `SsiInclude`

Version:
  $Revision: 1.3 $, $Date: 2001/07/22 20:25:15 $
Author:
  Bip Thelin

Constructor Summary
`ResponseIncludeWrapper(javax.servlet.http.HttpServletResponse res, javax.servlet.ServletOutputStream out)` Initialize our wrapper with the current HttpServletResponse and ServletOutputStream.

Method Summary
`javax.servlet.ServletOutputStream` | `getOutputStream()` Return a OutputStream, throws and exception if a printwriter already been returned.
`java.io.PrintWriter` | `getWriter()` Return a printwriter, throws and exception if a OutputStream already been returned.

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getLocale, getResponse, isCommitted, reset, resetBuffer, setBufferSize, setContentLength, setContentType, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseIncludeWrapper

    public ResponseIncludeWrapper(javax.servlet.http.HttpServletResponse res,
                                  javax.servlet.ServletOutputStream out)

  Initialize our wrapper with the current HttpServletResponse and ServletOutputStream.
  Parameters:
    `res` - The HttpServletResponse to use
    `out` - The ServletOutputStream' to use

Method Detail

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Return a printwriter, throws and exception if a OutputStream already been returned.
  Overrides:
    getWriter in class javax.servlet.ServletResponseWrapper
  Returns:
    a PrintWriter object
  Throws:
    java.io.IOException - if the outputstream already been called

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Return a OutputStream, throws and exception if a printwriter already been returned.
  Overrides:
    getOutputStream in class javax.servlet.ServletResponseWrapper
  Returns:
    a OutputStream object
  Throws:
    java.io.IOException - if the printwriter already been called

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.